version: '3'

services:
  enershare-ganache:
    image: hybuild/ganache
    container_name: enershareblockchain
    restart: always
    ports:
      - "7545:7545"
    volumes:
      - enershare-ganache-db:/db
    healthcheck:
      test: node -e 'data = JSON.stringify({jsonrpc:"2.0", method:"eth_blockNumber", params:[], id:1}); require("http").request({hostname:"localhost", port:7545, method:"POST", headers:{"Content-Type":"application/json", "Content-Length":data.length }}, resp => resp.on("data", chunk => process.exit(0)).on("error", err => process.exit(1))).write(data)' && exit 0 || exit 1

  enershare-api:
    image: hybuild/openapi
    container_name: enersharapi
    depends_on:
      - enershare-ganache
    restart: always
    ports:
      - ${PORT:-3000}:8080
    environment:
      - TZ=Europe/Amsterdam
    extra_hosts:
      - host.docker.internal:host-gateway

volumes:
  enershare-ganache-db:
